
QGIS Application - Bug report #8539

geometry collapsing due to intersection avoidance when filling polygons

2013-09-01 10:01 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17290

Description

Edit a polygon layer with island rings. Set snapping such that digitising a new polygon around the ring fills the ring and snaps to it exactly.

This works a few times and then gives the error 'geometry collapsing due to intersection avoidance'. After saving and restarting QGIS,

doing the same operation on the same ring with the same settings is successful. So QGIS is incorrectly raising that error. Occurs on

Windows and Linux.

History

#1 - 2013-09-01 10:04 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Digitising

are you on master? it is a regression since 1.8?

#2 - 2014-09-26 01:06 AM - Denis Rouzaud

- Status changed from Feedback to Closed
